Online Endpoints - Regenerate Keys

Rigenerare EndpointAuthKeys per un endpoint usando l'autenticazione basata su chiave (asincrona).

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/onlineEndpoints/{endpointName}/regenerateKeys?api-version=2025-09-01

Parametri dell'URI

Nome In Necessario Tipo Descrizione
endpointName
path True

string

Nome endpoint online.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole.

subscriptionId
path True

string

minLength: 1

ID della sottoscrizione di destinazione.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Nome dell'area di lavoro di Azure Machine Learning.

api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

Corpo della richiesta

Nome Necessario Tipo Descrizione
keyType True

KeyType

[Obbligatorio] Specifica per il tipo di chiave da generare. Primario o secondario.

keyValue

string

Il valore su cui è impostata la chiave.

Risposte

Nome Tipo Descrizione
200 OK

Success

202 Accepted

Accettato

Intestazioni

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Errore

Esempio

RegenerateKeys Workspace Online Endpoint.

Esempio di richiesta

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/onlineEndpoints/testEndpointName/regenerateKeys?api-version=2025-09-01

{
  "keyType": "Primary",
  "keyValue": "string"
}

Risposta di esempio

Azure-AsyncOperation: https://management.azure.com/subscriptions/...pathToOperationStatus...
Location: https://management.azure.com/subscriptions/...pathToOperationResult...

Definizioni

Nome Descrizione
ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

ErrorDetail

Dettagli dell'errore.

ErrorResponse

Risposta di errore

KeyType
RegenerateEndpointKeysRequest

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

Nome Tipo Descrizione
info

object

Informazioni aggiuntive.

type

string

Tipo di informazioni aggiuntive.

ErrorDetail

Dettagli dell'errore.

Nome Tipo Descrizione
additionalInfo

ErrorAdditionalInfo[]

Informazioni aggiuntive sull'errore.

code

string

Codice di errore.

details

ErrorDetail[]

Dettagli dell'errore.

message

string

Messaggio di errore.

target

string

Destinazione dell'errore.

ErrorResponse

Risposta di errore

Nome Tipo Descrizione
error

ErrorDetail

Oggetto error.

KeyType

Valore Descrizione
Primary
Secondary

RegenerateEndpointKeysRequest

Nome Tipo Descrizione
keyType

KeyType

[Obbligatorio] Specifica per il tipo di chiave da generare. Primario o secondario.

keyValue

string

Il valore su cui è impostata la chiave.